Administrative Message – 3D Secure OTP
Sends message with 3D Secure OTP.
KLV data – ‘3D Secure OTP’ = 900.
Only if the 3DS validation option is ‘SMS OTP’:
- Original transaction amount = 004
- Merchant description = 043
- Original currency code = 049
KLV data – ‘3D Secure OTP RefCode’ = 934.
For more information on KLV data, click KLV Format
REQUEST
PATH PARAMETERS
| Parameter | Type & Constraints | Description |
|---|---|---|
terminalID | string (10 characters), required | Our partner issued terminal ID of the terminal requesting the transaction |
reference | string (1–255 characters), required | The reference of the wallet the 3DS authentication is being actioned on |
messageName | string (0–2048 characters), required | The name of the administrative message being sent |
messageData | string (0–2048 characters), required | The administrative message data sent over in a KLV Format |
transactionID | string (1–255 characters), required | Transaction ID generated by the calling client. This value is not unique and may be duplicated |
transactionDate | date, required | Transaction date generated by the calling client |
checksum | string, required | HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key |
<?xml version="1.0"?>
<methodCall>
<methodName>AdministrativeMessage</methodName>
<params>
<param><value><string>0048149752</string></value></param>
<param><value><string>32446085</string></value></param>
<param><value><string>3DSecureOTP</string></value></param>
<param>
<value>
<string>
4603253853400000093700404180004305test10490384090006726326
</string>
</value>
</param>
<param><value><string>460325381</string></value></param>
<param>
<value>
<dateTime.iso8601>20210401T14:12:22</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>69291805E1C24E5A3ABEF5A7E0104D1E31324F4E</string>
</value>
</param>
</params>
</methodCall>RESPONSE
STATUS: 200 OK
SCHEMA
| Field | Type | Description |
|---|---|---|
resultCode | integer | Status code indicating transaction result |
<?xml version="1.0"?>
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>resultCode</name>
<value><int>1</int></value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>